//
//  PMSwipHintView.swift
//  PhoneManager
//
//  Created by edy on 2025/5/21.
//

import UIKit

class PMSwipHintView: UIView {

    class func xib() -> PMSwipHintView {
        let nib = UINib(nibName: "PMSwipHintView", bundle: nil).instantiate(withOwner: nil).first as! PMSwipHintView
        nib.frame = CGRectMake(0, 0, ScreenW, ScreenH)
        return nib
    }
    
    override func touchesBegan(_ touches: Set<UITouch>, with event: UIEvent?) {
        UIView.animate(withDuration: AniDuration-0.2) {
            self.alpha = 0
        } completion: { su in
            self.removeFromSuperview()
        }
    }

}
